org.jbpm.kie.services.impl.model

## Class ProcessInstanceWithVarsDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.ProcessInstanceDesc
  - - org.jbpm.kie.services.impl.model.ProcessInstanceWithVarsDesc

- All Implemented Interfaces:
    Serializable, ProcessInstanceDesc, ProcessInstanceWithVarsDesc
  Direct Known Subclasses:
    ProcessInstanceCustomDesc

      public class ProcessInstanceWithVarsDesc
      extends ProcessInstanceDesc
      implements ProcessInstanceWithVarsDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessInstanceWithVarsDesc()`
    `ProcessInstanceWithVarsDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String correlationKey)`
    `ProcessInstanceWithVarsDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey)`
    `ProcessInstanceWithVarsDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey, Long parentId)`
    `ProcessInstanceWithVarsDesc(long id, String processId, String processName, String processVersion, int state, String deploymentId, Date dataTimeStamp, String initiator, String processInstanceDescription, String correlationKey, Long parentId, Date slaDueDate, Integer slaCompliance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addVariable(String variable, Object variableValue)`
    `Map<String,Object>` | `getVariables()`
    `void` | `setVariables(Map<String,Object> variables)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.model.ProcessInstanceDesc

      `getActiveTasks, getCorrelationKey, getDataTimeStamp, getDeploymentId, getId, getInitiator, getParentId, getProcessId, getProcessInstanceDescription, getProcessName, getProcessVersion, getSlaCompliance, getSlaDueDate, getState, setActiveTasks, setCorrelationKey, setDeploymentId, setInitiator, setParentId, setProcessInstanceDescription, setSlaCompliance, setSlaDueDate, setState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.model.ProcessInstanceDesc

      `getActiveTasks, getCorrelationKey, getDataTimeStamp, getDeploymentId, getId, getInitiator, getParentId, getProcessId, getProcessInstanceDescription, getProcessName, getProcessVersion, getSlaCompliance, getSlaDueDate, getState`

- - ### Constructor Detail

    - #### ProcessInstanceWithVarsDesc

          public ProcessInstanceWithVarsDesc()

    - #### ProcessInstanceWithVarsDesc

          public ProcessInstanceWithVarsDesc(long id,
                                             String processId,
                                             String processName,
                                             String processVersion,
                                             int state,
                                             String deploymentId,
                                             Date dataTimeStamp,
                                             String initiator,
                                             String processInstanceDescription,
                                             String correlationKey,
                                             Long parentId,
                                             Date slaDueDate,
                                             Integer slaCompliance)

    - #### ProcessInstanceWithVarsDesc

          public ProcessInstanceWithVarsDesc(long id,
                                             String processId,
                                             String processName,
                                             String processVersion,
                                             int state,
                                             String deploymentId,
                                             Date dataTimeStamp,
                                             String initiator,
                                             String processInstanceDescription,
                                             String correlationKey)

    - #### ProcessInstanceWithVarsDesc

          public ProcessInstanceWithVarsDesc(long id,
                                             String processId,
                                             String processName,
                                             String processVersion,
                                             int state,
                                             String deploymentId,
                                             Date dataTimeStamp,
                                             String initiator,
                                             String correlationKey)

    - #### ProcessInstanceWithVarsDesc

          public ProcessInstanceWithVarsDesc(long id,
                                             String processId,
                                             String processName,
                                             String processVersion,
                                             int state,
                                             String deploymentId,
                                             Date dataTimeStamp,
                                             String initiator,
                                             String processInstanceDescription,
                                             String correlationKey,
                                             Long parentId)

  - ### Method Detail

    - #### getVariables

          public Map<String,Object> getVariables()

      Specified by:
        `getVariables` in interface `ProcessInstanceWithVarsDesc`

    - #### setVariables

          public void setVariables(Map<String,Object> variables)

    - #### addVariable

          public void addVariable(String variable,
                                  Object variableValue)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.